podfile donne une erreur lors de l’installation

J’ai cloné un repo de git. Puis enlevé le .git et le .gitignore. Le podFile ressemble à

platform :ios, '6.1' pod 'AFNetworking', '~>1.3.3' pod 'AFOAuth1Client' 

Après “pod install”, j’obtiens les erreurs suivantes:

 $ pod install Analyzing dependencies [!] Pod::Executable pull A ALPValidator/0.0.1/ALPValidator.podspec A APAsyncDictionary/0.0.3/APAsyncDictionary.podspec A ASCScreenBrightnessDetector/0.1.0/ASCScreenBrightnessDetector.podspec A AdBrixSDK/3.0.8/AdBrixSDK.podspec A AlertShortkut/1.0/AlertShortkut.podspec A AppStoreOpener/0.0.1/AppStoreOpener.podspec A Appboy-iOS-SDK/2.3.1/Appboy-iOS-SDK.podspec A Apptimize/1.5.8/Apptimize.podspec A AtkDragAndDrop/0.1.0/AtkDragAndDrop.podspec A AuthorizeNet/0.1.0/AuthorizeNet.podspec A BloodMagic/0.5.2/BloodMagic.podspec A CKSsortingngUtils/1.1.1/CKSsortingngUtils.podspec A CMHTMLView/0.2.0/CMHTMLView.podspec A CTAssetsPickerController/1.5.0/CTAssetsPickerController.podspec A CTFeedback/1.0.8/CTFeedback.podspec U CardIO/3.2.0/CardIO.podspec U CardIO/3.2.2/CardIO.podspec U CardIO/3.3.0/CardIO.podspec U CardIO/3.4.1/CardIO.podspec U CardIO/3.4.3/CardIO.podspec U CardIO/3.4.4/CardIO.podspec A CargoBay/2.0.2/CargoBay.podspec U CocoaSPDY/1.0.0/CocoaSPDY.podspec A Colours/4.1/Colours.podspec M CorePlot/1.0/CorePlot.podspec M CorePlot/1.1/CorePlot.podspec M CorePlot/1.2/CorePlot.podspec M CorePlot/1.3/CorePlot.podspec M CorePlot/1.4/CorePlot.podspec M DB5/0.0.1/DB5.podspec A DCTextEngine/0.1.0/DCTextEngine.podspec A DUIToolbox/0.1.1/DUIToolbox.podspec M FMDB/2.0/FMDB.podspec A FXBlurView/1.5.2/FXBlurView.podspec A FXBlurView/1.5.3/FXBlurView.podspec A FXKeychain/1.5/FXKeychain.podspec M Facebook-iOS-SDK/3.9.0/Facebook-iOS-SDK.podspec A FlatUI/0.1.0/FlatUI.podspec A FlatUIKit/1.3/FlatUIKit.podspec A FreeStreamer/1.5.3/FreeStreamer.podspec A Functional.m/1.0.0/Functional.m.podspec A GCDWebServer/1.2.1/GCDWebServer.podspec A GCDWebServer/1.2.2/GCDWebServer.podspec A GHUnit/0.5.9/GHUnit.podspec A GlitchKit/0.0.3/GlitchKit.podspec A GoldenFleece/1.1/GoldenFleece.podspec A Google-Mobile-Ads-SDK/6.8.0/Google-Mobile-Ads-SDK.podspec A Heyzap/6.2.2/Heyzap.podspec A Heyzap/6.2.4/Heyzap.podspec U IGIdenticon/0.1/IGIdenticon.podspec A IOSLinkedInAPI/2.0.0/IOSLinkedInAPI.podspec A JDStatusBarNotification/1.4.7/JDStatusBarNotification.podspec A JFOpenWeatherMapManager/1.0.0/JFOpenWeatherMapManager.podspec A JSONJoy/0.1.0/JSONJoy.podspec A KTBTaskQueue/1.0.0/KTBTaskQueue.podspec A LINEActivity/0.2.0/LINEActivity.podspec U LetsMove/1.9/LetsMove.podspec A LumberjackPrettyClassInformation/1.0.0/LumberjackPrettyClassInformation.podspec A M13CSVParser/1.0.0/M13CSVParser.podspec A M13Checkbox/1.0.0/M13Checkbox.podspec A M13InfiniteTabBar/2.0.1/M13InfiniteTabBar.podspec A MSCachedAsyncViewDrawing/1.0.1/MSCachedAsyncViewDrawing.podspec A MSSlidingPanelController/1.1.1/MSSlidingPanelController.podspec A MUKAdMobViewController/1.2.1/MUKAdMobViewController.podspec A MUKAdMobViewController/1.2.2/MUKAdMobViewController.podspec A MUKAdMobViewController/1.2/MUKAdMobViewController.podspec A MUKToolkit/1.1.1/MUKToolkit.podspec U MapBox/1.1.0/MapBox.podspec A NCICharts/1.0.0/NCICharts.podspec A NSObjectProperties/0.0.3/NSObjectProperties.podspec A NSOrderedDictionary/1.0.0/NSOrderedDictionary.podspec A NSOrderedDictionary/1.0.1/NSOrderedDictionary.podspec A NXOAuth2Client/1.2.5/NXOAuth2Client.podspec A OCBorghettiView/0.0.5/OCBorghettiView.podspec A OpenSSL-Universal/1.0.1.f/OpenSSL-Universal.podspec A PMAudioRecorderViewController/0.5/PMAudioRecorderViewController.podspec A PXSourceList/2.0.1/PXSourceList.podspec A PayPal-iOS-SDK/1.4.6/PayPal-iOS-SDK.podspec A PopulateKit/0.0.1/PopulateKit.podspec A PopulateKit/0.0.2/PopulateKit.podspec A PopulateKit/0.0.3/PopulateKit.podspec A PopulateKit/0.0.4/PopulateKit.podspec A PubNub/3.5.5/PubNub.podspec A RMPickerViewController/1.0.0/RMPickerViewController.podspec A RZSquaresLoading/1.0/RZSquaresLoading.podspec A RestReaper/0.1.0/RestReaper.podspec A RestReaper/0.1.1/RestReaper.podspec A SVBlurView/0.0.1/SVBlurView.podspec A SatelliteStore/1.0.0/SatelliteStore.podspec A TPMapsApp/1.0.0/TPMapsApp.podspec A Taplytics/1.1.0/Taplytics.podspec A Typhoon/1.7.3/Typhoon.podspec A Typhoon/1.7.4/Typhoon.podspec A UICustomizeKit/0.1.0/UICustomizeKit.podspec A UIImage+Dummy/0.0.2/UIImage+Dummy.podspec A WJHXCTest/0.0.2/WJHXCTest.podspec A WYPopoverController/0.1.8/WYPopoverController.podspec A YISplashScreen/1.2.1/YISplashScreen.podspec A YandexMobileMesortingca/1.2.0/YandexMobileMesortingca.podspec A ZumeroSync/1.1.0.1729/ZumeroSync.podspec A wpxmlrpc/0.4/wpxmlrpc.podspec Pull is not possible because you have unmerged files. Please, fix them up in the work tree, and then use 'git add/rm ' as appropriate to mark resolution, or use 'git commit -a'. 

Un bogue a été trouvé dans libgit2 et ils ont dû exécuter une poussée forcée sur le repo de spécifications. C’est ce qui a brisé la configuration de CocoaPods.

Vous pouvez trouver le message officiel sur ce problème sur le blog CocoaPods: http://blog.cocoapods.org/Repairing-Our-Broken-Specs-Repository/

La méthode recommandée pour réparer votre configuration consiste à exécuter les commandes suivantes:

 $ pod repo remove master $ pod setup 

Si cela ne fonctionne pas, vous pouvez également supprimer manuellement toutes vos spécifications mises en cache:

 $ rm -rf ~/.cocoapods/ $ pod setup 

Regardez la solution rapide ici! https://github.com/CocoaPods/Specs/issues/1268

 rm -rf ~/.cocoapods/ 

En tant que Kirualex worte, vous trouverez la bonne solution sur http://blog.cocoapods.org/Repairing-Our-Broken-Specs-Repository/

Bref, procédez comme suit:

 $ pod repo remove master $ pod setup 

Vous pourriez bien sûr également retirer le maître comme décrit par les autres.